/* dosfd_img.h version 1.0.1 */
#ifndef __DOSFD_IMG_H__
#define __DOSFD_IMG_H__

#define FDI_OFFSET		(0x1000)


struct dosfd_image_t {
	int img_offset;
	int disk_size;
	unsigned char *disk_img;
	int fat_size;
	int *fat;
};


extern void free_dosfd_image(struct dosfd_image_t *image, int free_all);
extern int read_dosfd_image(struct dosfd_image_t *image, const char *image_name, int img_offset);
extern int read_dosfd_image_file(const struct dosfd_image_t *image, const char *file_name, unsigned char *data, int data_size, int ignore_case);
extern int write_dosfd_image(const struct dosfd_image_t *image, const char *image_name);
extern int write_dosfd_image_file(struct dosfd_image_t *image, const char *file_name, const unsigned char *data, int data_size, int ignore_case);

#endif	/* __DOSFD_IMG_H__ */
